<app-navbar name="Inscripcion cuenta terceros"></app-navbar>


<ion-content>
 <div >
  <ion-card>
    <ion-card-header>
      <ion-card-title>Inscripcion cuenta de tercero</ion-card-title>
    </ion-card-header>
  
    <ion-card-content>
      Especificar los siguientes datos, porfavor
    </ion-card-content>

    <ion-card-content class="form-login">
      
      <mat-form-field class="example-full-width" >
        <mat-label>Alias de la cuenta</mat-label>
        <input type="text" matInput id="inputs" [formControl]="aliasFormControl" [errorStateMatcher]="matcher"
              >
    
        <mat-error *ngIf="aliasFormControl.hasError('required')">
        Alias <strong>Requerido</strong>

        </mat-error>

      </mat-form-field>

      <mat-form-field >
        <mat-label>Entidad Bancaria</mat-label>
        <mat-select [(value)]="selected"  [formControl]="entidad" [errorStateMatcher]="matcher"
        >
          
          <mat-option *ngFor="let i of bancos" value="{{i}}" >{{i}}</mat-option>
       
        </mat-select>      
        <mat-error *ngIf="entidad.hasError('email') && !entidad.hasError('required')">
          
          Por favor Ingrese una Entidad Bancaria
          </mat-error>
          <mat-error *ngIf="entidad.hasError('required')">
          Entidad Bancaria <strong>Requerida</strong>
  
          </mat-error>
      
      </mat-form-field>

   
      <mat-form-field >
        <mat-label>Tipo Cuenta</mat-label>
        <mat-select [formControl]="tipo" [errorStateMatcher]="matcher"
        >
          
          <mat-option value="ahorros" >Ahorros</mat-option>
          <mat-option value="corriente" >Corriente</mat-option>

        </mat-select>      
        <mat-error *ngIf=" !tipo.hasError('required')">
          
          Por favor Ingrese un tipo de Moneda
          </mat-error>
          <mat-error *ngIf="tipo.hasError('required')">
          Tipo de Moneda<strong>Requerida</strong>
  
          </mat-error>
      
      </mat-form-field>
      <mat-form-field class="example-full-width" >
        <mat-label>Número de Cuenta</mat-label>
        <input type="number" matInput id="inputs" (change)="verifiedNumberAccount()" [formControl]="numcuenta" [errorStateMatcher]="matcher"
              >
    
        <mat-error *ngIf="numcuenta.hasError('required')">
        Alias <strong>Requerido</strong>

        </mat-error>

      </mat-form-field>

      <mat-form-field class="example-full-width" >
        <mat-label>Documento</mat-label>
        <input type="text" matInput id="inputs" [formControl]="documento" [errorStateMatcher]="matcher"
              >
    
        <mat-error *ngIf="documento.hasError('required')">
        Documento <strong>Requerido</strong>

        </mat-error>

      </mat-form-field>

      <br>

      <mat-form-field >
        <mat-label>Moneda</mat-label>
        <mat-select [formControl]="moneda" [errorStateMatcher]="matcher"
        >
          
          <mat-option value="USD" >Dolar</mat-option>
          <mat-option value="COP" >Peso Colombiano</mat-option>

        </mat-select>      
        <mat-error *ngIf=" !moneda.hasError('required')">
          
          Por favor Ingrese un tipo de Moneda
          </mat-error>
          <mat-error *ngIf="moneda.hasError('required')">
          Tipo de Moneda<strong>Requerida</strong>
  
          </mat-error>
      
      </mat-form-field>
      <br>
      <button class="btn btn-danger"[disabled]="moneda.invalid || numcuenta.invalid || documento.invalid || tipo.invalid || entidad.invalid || aliasFormControl.invalid" (click)="creacionCuentaTerceros()">Registrar Cuenta</button>

    </ion-card-content>
  </ion-card>
 </div>
</ion-content>
